Status: Closed Start date: 2011-03-22

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

If root project does not have defined versions, but subprojects have them, there is no "roadmap" menu item in root-level project.

I guess this is common situation when you use project nesting to simulate development areas, for example: root project stands for

"all projects for Client X" so you could use reporting aggregated per-client...

You can always enter the root-level roadmap simply by specyfying "project-name/roadmap" in URL, but this is not so pretty...

Related issues:

Related to Redmine - Feature #2666: Roadmap for main project should see Roadm... Closed 2009-02-04

Related to Redmine - Feature #1342: Global versions roadmap New 2008-06-01

Related to Redmine - Defect #34983: Roadmap tab is missing if there are only ... Closed

Has duplicate Redmine - Defect #9234: Versions of subprojects are / Roadmap) ... Closed 2011-09-12

Associated revisions

Revision 19801 - 2020-05-30 10:58 - Go MAEDA

Show Roadmap tab when subprojects have defined versions (#7956).

Patch by Go MAEDA.

History

#1 - 2011-03-22 16:51 - Etienne Massip

- Category set to Projects

#2 - 2011-10-14 09:50 - Etienne Massip

- Category changed from Projects to Roadmap

#3 - 2011-10-14 10:16 - Terence Mill

We are using hierarchical project organization heavily, but some of our parent "project" just implement departments under which real projects with

planned version are configured. In the departments parent projects we activated issue module and hoped to see the Versions of all sub projects in its

roadmap.

But this only works if at least one version is configured in deparment (parent) project. If not the Roadmap tab isn't even displayed!

This behaviour is very wired and doesn't make sense for. Either in every case version are showed in the roadmap (for all childs too) or not, but not

only if parent also has version defined.

Thats why we think it is more a bug than a feature, as it behaves now!

+1

#4 - 2019-10-06 14:39 - Go MAEDA

- Related to Feature #2666: Roadmap for main project should see Roadmaps for sub projects added

#5 - 2019-10-06 14:47 - Go MAEDA

"Roadmap" tab is shown in the parent project if one or more shared versions visible to the parent is defined in subprojects (#2666).

#6 - 2020-05-27 14:45 - Go MAEDA

I think this request is a natural one.

The roadmap page shows versions in subprojects if "Display subprojects issues on main projects by default" (Administration > Settings > Issue
tracking) is enabled.

So, the tab in the project menu should be displayed when subprojects have any version even if the current project has no version.

The following patch changes the behavior of the menu.

diff --git a/lib/redmine.rb b/lib/redmine.rb

index beaebaec8..668a65da2 100644

--- a/lib/redmine.rb

+++ b/lib/redmine.rb

@@ -303,7 +303,7 @@ Redmine::MenuManager.map :project_menu do |menu|

   menu.push :overview, { :controller => 'projects', :action => 'show' }

   menu.push :activity, { :controller => 'activities', :action => 'index' }

   menu.push :roadmap, { :controller => 'versions', :action => 'index' }, :param => :project_id,

-            :if => Proc.new { |p| p.shared_versions.any? }

+            :if => Proc.new { |p| Setting.display_subprojects_issues? ? p.rolled_up_versions.any? : p.shared_

versions.any? }

   menu.push :issues, { :controller => 'issues', :action => 'index' }, :param => :project_id, :caption => :lab

el_issue_plural

   menu.push :new_issue, { :controller => 'issues', :action => 'new', :copy_from => nil }, :param => :project_

id, :caption => :label_issue_new,

             :html => { :accesskey => Redmine::AccessKeys.key_for(:new_issue) },

#7 - 2020-05-27 15:45 - Go MAEDA

- File 7956.patch added

- Target version set to Candidate for next major release

Attaching a patch with test code.

#8 - 2020-05-27 17:01 - Mischa The Evil

Go MAEDA wrote:

I think this request is a natural one.

 I agree. LGTM.

#9 - 2020-05-28 10:59 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Mischa The Evil wrote:

I agree. LGTM.

 Thank you for reviewing the patch. Setting the target version to 4.2.0.

#10 - 2020-05-29 01:34 - Go MAEDA

- Related to Feature #1342: Global versions roadmap added

#11 - 2020-05-30 10:58 - Go MAEDA

- Subject changed from Show menu item 'Roadmap' when subprojects have defined versions to Show Roadmap tab when subprojects have defined

versions

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

#12 - 2020-05-30 10:58 - Go MAEDA

Committed the patch.

#13 - 2020-08-20 11:48 - Aleksandar Pavic

+1

Thanks for patch...
Works with:

Redmine 4.1.0.stable.19444

#14 - 2021-04-05 22:36 - Marius BĂLTEANU

- Related to Defect #34983: Roadmap tab is missing if there are only inherited from parent project versions added

Files

7956.patch 1.85 KB 2020-05-27 Go MAEDA
